## FmPathBar FmPathBar — A widget for representing current path. |

## Synopsis

    struct              FmPathBar;
    struct              FmPathBarClass;
    FmPath *            fm_path_bar_get_path                (FmPathBar *bar);
    FmPathBar *         fm_path_bar_new                     (void);
    void                fm_path_bar_set_path                (FmPathBar *bar,
                                                             FmPath *path);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----FmPathBar

## Implemented Interfaces

FmPathBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Signals

      "chdir"                                          : Run First

## Description

`include`: libfm/fm-gtk.h

The FmPathBar represents current path as number of buttons so it is possible to click buttons to change directory to parent or child.

## Details

### struct FmPathBar

    struct FmPathBar;

### struct FmPathBarClass

    struct FmPathBarClass {
        GtkHBoxClass parent_class;
        void (*chdir)(FmPathBar* bar, FmPath* path);
    };

GtkHBoxClass `parent_class`; | the parent class
`chdir` () | the class closure for the "chdir" signal

### fm_path_bar_get_path ()

    FmPath *            fm_path_bar_get_path                (FmPathBar *bar);

Retrieves current path from path bar. Returned data are owned by `bar` and should be not freed by caller.

`bar` : | a path bar widget
Returns : | current path. [transfer none]

Since 0.1.16

### fm_path_bar_new ()

    FmPathBar *         fm_path_bar_new                     (void);

Creates new path bar.

Returns : | a new FmPathBar object. [transfer full]

Since 0.1.16

### fm_path_bar_set_path ()

    void                fm_path_bar_set_path                (FmPathBar *bar,
                                                             FmPath *path);

Changes path for the `bar`.

`bar` : | a path bar widget
`path` : | a new path to set

Since 0.1.16

## Signal Details

### The `"chdir"` signal

    void                user_function                      (FmPathBar *bar,
                                                            gpointer   path,
                                                            gpointer   user_data)      : Run First

The FmPathBar::chdir signal is emitted when the user toggles a path element in the bar or when new path is set via `fm_path_bar_set_path()`.

`bar` : | the object which emitted the signal
`path` : | (FmPath *) new path
`user_data` : | user data set when the signal handler was connected.

Since 0.1.16